'\"
'\" Copyright (c) Victor B. Wagner, 1997
'\"
.TH readroff n "" Tcl "Nroff reading extension"
.SH NAME
readroff \- converts nroff output into Tcl list

.SH SYNOPSYS
\fBreadroff\fR \fIstring

.SH DESCRIPTION

This command recieves formatted text, produced by \fBnroff\fR(1) and
returns list of interchanging portions of text and tags, suitable to
insert into Tk \fBtext\fR widget.
.PP
Typical usage:
.PP
\fBeval \fI$textwindow \fBinsert 0.0\fR [\fBreadroff\fR [\fBexec\fR man \fI$pagename\fR]]
.PP
Note, that \fBeval\fR is neccessary, becouse \fBinsert\fR widget command
expects several arguments, not one list

.SH TAGS
\fBreadroff\fI command generates following tags:

.TP 4
\fB roff-text\fR
for plain text
.TP 4
\fBroff-bold\fR
for boldface text
.TP 4
\fBroff_udl\fR for underlined text (nroff usially renders italic into this
attributes)

.SH KEYWORDS
nroff, manual pages, text widget

.SH BUGS
No other kinds of formatting (i.e. tables, superscripts etc) are currently
handled.

.SH AUTHOR
Victor Wagner <vitus@agropc.msk.su>, Dokuchaev soil Institute, Moscow
 



